Data Fields

# arm_fir_interpolate_instance_q31 Struct Reference

Instance structure for the Q31 FIR interpolator. More...

`#include <arm_math.h>`

## Data Fields
uint8_t | L
uint16_t | phaseLength
q31_t * | pCoeffs
q31_t * | pState

## Detailed Description

Instance structure for the Q31 FIR interpolator.

Definition at line 3407 of file arm_math.h.

## Field Documentation

uint8_t arm_fir_interpolate_instance_q31::L

upsample factor.

Definition at line 3409 of file arm_math.h.

uint16_t arm_fir_interpolate_instance_q31::phaseLength

length of each polyphase filter component.

Definition at line 3410 of file arm_math.h.

q31_t* arm_fir_interpolate_instance_q31::pCoeffs

points to the coefficient array. The array is of length L*phaseLength.

Definition at line 3411 of file arm_math.h.

q31_t* arm_fir_interpolate_instance_q31::pState

points to the state variable array. The array is of length blockSize+phaseLength-1.

Definition at line 3412 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines